Subject: bug#18398: closed (Re: bug#18398: Probably found a bug in grep)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 03 Sep 2014 20:16:03 +0000

Your bug report

#18398: Probably found a bug in grep

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18398: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18398
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18398: Probably found a bug in grep
From: Paul Eggert <[email-masked]>
To: "Bergen, Andreas" <[email-masked]>, [email-masked]
Date: Wed, 03 Sep 2014 13:15:19 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Bergen, Andreas wrote:
> Version     : 2.5.1a

Thanks for the report.  As shown below, I can't reproduce the bug with 
grep 2.20 (the current version) in either the en_US.utf8 or the 
de_DE.utf8 locales.  grep 2.5.1a is pretty old (dated 2004) and several 
bugs have been fixed in this area in the last ten years, so I suggest 
upgrading and I'm taking the liberty of marking this as done.

$ cat testfile
A
Ä
$ grep -F -eÄ -eA testfile
A
Ä
$ grep -i -eÄ -eA testfile
A
Ä
$ grep -iF -eÄ -eA testfile
A
Ä

Subject: Probably found a bug in grep
From: "Bergen, Andreas" <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Date: Wed, 3 Sep 2014 19:11:45 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

I've probably found a bug in "grep".
Here's a way how to reproduce it:

s53mgt:/test2 # cat testfile
A
Ä
s53mgt:/test2 # grep -F -eÄ -eA testfile
A
Ä
s53mgt:/test2 # grep -i -eÄ -eA testfile
A
Ä
s53mgt:/test2 # grep -iF -eÄ -eA testfile
A

As you can see the last one does not give A and Ä but only A.

When I do the same with another testfile without an "Ä" (A-Umlaut) in it, it works like expected:
s53mgt:/test2 # cat testfile2
A
B
s53mgt:/test2 # grep -F -eB -eA testfile2
A
B
s53mgt:/test2 # grep -i -eB -eA testfile2
A
B
s53mgt:/test2 # grep -iF -eB -eA testfile2
A
B

s53mgt:/test2 # file testfile testfile2
testfile:  UTF-8 Unicode text
testfile2: ASCII text

Here's some information on my version of "grep".

s53mgt:/test2 # rpm -qif /bin/grep
Name        : grep                         Relocations: (not relocatable)
Version     : 2.5.1a                            Vendor: SUSE LINUX Products GmbH, Nuernberg, Germany
Release     : 20.17                         Build Date: Tue Apr 22 03:47:13 2008
Install Date: Mon Jul  6 16:21:37 2009      Build Host: blacher.suse.de
Group       : Productivity/Text/Utilities   Source RPM: grep-2.5.1a-20.17.src.rpm
Size        : 461697                           License: GPL v2 or later
Signature   : DSA/SHA1, Tue Apr 22 03:49:23 2008, Key ID a84edae89c800aca
Packager    : http://bugs.opensuse.org
URL         : http://www.gnu.org/software/grep/
Summary     : Print lines matching a pattern
Description :
GNU grep, the "fastest grep in the west" (hopefully).

`grep' searches for lines matching a pattern.

Can you confirm this?

What can I do about it?

Regards
  Andreas

---
Andreas Bergen
Solution Architect

All for One Steeb AG
Gottlieb-Manz-Straße 1
70794 Filderstadt
T  +49 711 78807-689
F  +49 711 78807-92689
M +49 151 53824-689
[email-masked]<mailto:[email-masked]>
www.all-for-one.com<http://www.all-for-one.com/>

________________________________

All for One Steeb AG, Sitz der Gesellschaft: Filderstadt. Amtsgericht Stuttgart: HRB 19 539,
Vorstand: Lars Landwehrkamp (Sprecher), Stefan Land
Vorsitzender des Aufsichtsrats: Peter Brogle

Diese E-Mail (einschließlich aller Anhänge) kann Betriebs- oder Geschäftsgeheimnisse bzw. sonstige vertrauliche und/oder rechtlich geschützte Informationen enthalten. Sollten Sie diese E-Mail irrtümlich erhalten haben, ist Ihnen jede Kenntnisnahme des Inhalts, Nutzung, Vervielfältigung, oder Weitergabe der E-Mail (einschließlich aller Anhänge) ausdrücklich untersagt. Bitte benachrichtigen Sie uns umgehend und vernichten Sie die empfangene E-Mail. Vielen Dank.

This e-mail (including any attachments) may contain business or trade secrets or other confidential and / or legally protected information. If you have received this e-mail in error, you are hereby notified that any review, use, copying, or distribution of it is strictly prohibited. Please inform us immediately and destroy this e-mail. Thank you.